function SA_gui(fig)
  fig_ud=fig.user_data;
  margin_x     = 5;      // Horizontal margin between each elements
  margin_y     = 5;      // Vertical margin between each elements
  label_h      = 20;
  list_w       = 180
  w1           = 60;
  w2           = 60;
  w3           = 100;
  frame_h      = fig.axes_size(2)/3;
  list_h       = frame_h-3*margin_y-label_h
  frame_w      = fig.axes_size(1)
  defaultfont  = "arial"; // Default Font

  
  frame=uicontrol( ...
      "parent"              , fig,...
      "style"               , "frame",...
      "units"               , "pixels",...
      "position"            , [0 0 frame_w frame_h],...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
 
  y=frame_h-margin_y-label_h
  x=0;  
  //Method
  
  y=frame_h-margin_y-label_h
  x=0;  
   uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("TFR method"),...
      "units"               , "pixels",...
      "position"            , [x y list_w label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "center", ...
      "background"          , [1 1 1]*0.8);
   y=y-margin_y-list_h
   uicontrol( ...
      "parent"              , frame,...
      "style"               , "listbox",...
      "string"              , [_("Spectrogram");_("Smoothed Pseudo Wigner-Ville");_("Zao-Atlas-Marks");_("Born-Jordan")],...
      "units"               , "pixels",...
      "position"            , [x y list_w list_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "value"               , find(fig_ud.method==["sp","spwv","zam","bj"]),...
      "callback"            , "SA_SetMethod(gcbo.userdata(gcbo.value),gcbo.parent.parent)",...
      "userdata"            , ["sp";"spwv";"zam";"bj"],...
      "relief"              , "sunken",...
      "background"          , [1 1 1]*0.8);

   y=frame_h-margin_y-label_h
   x=x+list_w+margin_x;  
  //-----         Settings   --------------------
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("Settings"),...
      "units"               , "pixels",...
      "position"            , [x y w1+margin_x+w2 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "center", ...
      "background"          , [1 1 1]*0.8);
 
  //freq_step
  y=y-margin_y-label_h
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("freq_step"),...
      "units"               , "pixels",...
      "position"            , [x y w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8);
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "edit",...
      "string"              , string(fig_ud.freq_step),...
      "units"               , "pixels",...
      "position"            , [x+margin_x+w1 y w2 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1], ...
      "userdata"            , "freq_step", ...
      "callback"            , "SA_Settings()");
  //fwl
  y=y-margin_y-label_h
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("fwl"),...
      "units"               , "pixels",...
      "position"            , [x y w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8);
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "edit",...
      "string"              , string(fig_ud.fwl),...
      "units"               , "pixels",...
      "position"            , [x+margin_x+w1 y w2 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1], ...
      "userdata"            , "fwl", ...
      "callback"            , "SA_Settings()");
  //twl
  y=y-margin_y-label_h
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("twl"),...
      "units"               , "pixels",...
      "position"            , [x y w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8);
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "edit",...
      "string"              , string(fig_ud.twl),...
      "units"               , "pixels",...
      "position"            , [x+margin_x+w1 y w2 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1], ...
      "userdata"            , "twl", ...
      "callback"            , "SA_Settings()");

  
  //-----            --------------------

  y=frame_h-margin_y-label_h
  x=x+margin_x+w1+w2+margin_x;  
   uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("Display"),...
      "units"               , "pixels",...
      "position"            , [x y w1+margin_x+w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "center", ...
      "background"          , [1 1 1]*0.8);
 
  //Plot type
  y=y-margin_y-label_h
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("Type"),...
      "units"               , "pixels",...
      "position"            , [x y w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8);
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "popupmenu",...
      "string"              , ["PseudoColor";"3D"],...
      "units"               , "pixels",...
      "position"            , [x+margin_x+w1 y w3 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "value"               , find(fig_ud.draw_type==["PseudoColor";"3D"]),...
      "background"          , [1 1 1]*0.8, ...
      "callback"            , "SA_SetDisplay(gcbo.string(gcbo.value),gcbo.parent.parent)");
  //Color map
  y=y-margin_y-label_h
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "text",...
      "string"              , _("Cmap"),...
      "units"               , "pixels",...
      "position"            , [x y w1 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8);
  uicontrol( ...
      "parent"              , frame,...
      "style"               , "popupmenu",...
      "string"              , ["Jet";"Gray"],...
      "units"               , "pixels",...
      "position"            , [x+margin_x+w1 y w3 label_h],....
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "horizontalalignment" , "left", ...
      "value"               , find(fig_ud.cmap==["jet";"gray"]),...
      "background"          , [1 1 1]*0.8, ...
      "callback"            , "SA_SetCmap(gcbo.string(gcbo.value),gcbo.parent.parent)");
endfunction
