//This file is part of the Cardiovascular Wawes Analysis toolbox
//Copyright (C) 2014 - INRIA - Serge Steer
//This file must be used under the terms of the CeCILL.
//This source file is licensed as described in the file COPYING, which
//you should have received as part of this distribution.  The terms
//are also available at
//http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
function [ok,l]=uigetlength(tit,l) 
  //utilitary function
  global ret
  margin_x     = 5;      // Horizontal margin between each elements
  margin_y     = 5;      // Vertical margin between each elements
  button_w     = 70;
  button_h     = 30;
  label_h      = 20;
  label_w      = 250;
  axes_w       = 2*margin_x+label_w;
  axes_h       = 3*margin_y+2*label_h;// Frame height
  defaultfont  = "arial"; // Default Font
 
  fig_id=max(winsid())+1
  fig = scf(fig_id)

  // Remove Scilab graphics menus & toolbar
  //  drawlater (bug)
  delmenu(fig.figure_id, gettext("&File"));
  delmenu(fig.figure_id, gettext("&Tools"));
  delmenu(fig.figure_id, gettext("&Edit"));
  delmenu(fig.figure_id, gettext("&?"));
  toolbar(fig.figure_id, "off");
  fig.axes_size       = [axes_w axes_h];

  
  fig.background      = addcolor([0.8 0.8 0.8]);
  fig.figure_name     = _("settings");
  ax=fig.children;
  ax.background= fig.background ;
  
  
  yft=axes_h-margin_y-label_h
  xft=margin_x;  
  uicontrol( ...
      "parent"              , fig,...
      "style"               , "text",...
      "string"              , tit,...
      "units"               , "pixels",...
      "position"            , [xft yft label_w label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  yft= yft-label_h-margin_y
  step=uicontrol( ...
      "parent"              , fig,...
      "style"               , "edit",...
      "string"              , string(l),...
      "units"               , "pixels",...
      "position"            , [xft yft 50 label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "callback"            , "SetScrollLength()", ...
      "visible"             , "on");
    uicontrol( ...
      "parent"              , fig,...
      "style"               , "text",...
      "string"              , _("sec"),...
      "units"               , "pixels",...
      "position"            , [xft+50+margin_x yft 50 label_h],....
      "fontname"            , defaultfont,...
      "fontunits"           , "points",...
      "fontsize"            , 12,...
      "fontweight"          , "bold", ...
      "horizontalalignment" , "left", ...
      "background"          , [1 1 1]*0.8, ...
      "visible"             , "on");
  
  ret=0;
  realtimeinit(0.1);
  t=0;
  while ret==0&or(winsid()==fig_id) then
    //slow down the waiting loop
    t=t+1;
    realtime(t);
  end
  if ret==1&or(winsid()==fig_id) then
    ok=%t
    l=evstr(step.string)
    delete(fig)
  else
    //user had canceled or closed the gui window
    ok=%f
    l=[]
  end
  clearglobal ret
endfunction

function SetScrollLength()
  global ret
  step=gcbo()
  if execstr("v=evstr(step.string)","errcatch")<>0 then
    step.ForegroundColor=[1 0 0];
  elseif v<=0 then
    step.ForegroundColor=[1 0 0];
  else
    global ret
    step.ForegroundColor=[0 0 0];
    ret=1
  end
endfunction
